@octokit/openapi 14.1.0 → 15.0.0
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/generated/api.github.com.deref.json +216 -40
- package/generated/api.github.com.json +125 -48
- package/generated/ghec.deref.json +238 -52
- package/generated/ghec.json +147 -60
- package/generated/ghes-3.10.deref.json +85 -22
- package/generated/ghes-3.10.json +49 -22
- package/generated/ghes-3.11.deref.json +96 -31
- package/generated/ghes-3.11.json +62 -44
- package/generated/ghes-3.12.deref.json +96 -31
- package/generated/ghes-3.12.json +62 -44
- package/generated/ghes-3.8.deref.json +85 -22
- package/generated/ghes-3.8.json +49 -22
- package/generated/ghes-3.9.deref.json +85 -22
- package/generated/ghes-3.9.json +49 -22
- package/generated/github.ae.deref.json +1 -1
- package/generated/github.ae.json +1 -1
- package/package.json +1 -1
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
{
|
|
2
2
|
"openapi": "3.0.3",
|
|
3
3
|
"info": {
|
|
4
|
-
"version": "
|
|
4
|
+
"version": "15.0.0",
|
|
5
5
|
"title": "GitHub's official OpenAPI spec + Octokit extension",
|
|
6
6
|
"description": "OpenAPI specs from https://github.com/github/rest-api-description with the 'x-octokit' extension required by the Octokit SDKs",
|
|
7
7
|
"license": {
|
|
@@ -240,7 +240,8 @@
|
|
|
240
240
|
},
|
|
241
241
|
"hub_url": {
|
|
242
242
|
"type": "string",
|
|
243
|
-
"format": "uri-template"
|
|
243
|
+
"format": "uri-template",
|
|
244
|
+
"deprecated": true
|
|
244
245
|
},
|
|
245
246
|
"issue_search_url": {
|
|
246
247
|
"type": "string",
|
|
@@ -336,7 +337,6 @@
|
|
|
336
337
|
"followers_url",
|
|
337
338
|
"following_url",
|
|
338
339
|
"gists_url",
|
|
339
|
-
"hub_url",
|
|
340
340
|
"issue_search_url",
|
|
341
341
|
"issues_url",
|
|
342
342
|
"keys_url",
|
|
@@ -35627,7 +35627,6 @@
|
|
|
35627
35627
|
"default": {
|
|
35628
35628
|
"value": {
|
|
35629
35629
|
"advanced_security_enabled_for_new_repositories": true,
|
|
35630
|
-
"advanced_security_enabled_new_user_namespace_repos": true,
|
|
35631
35630
|
"dependabot_alerts_enabled_for_new_repositories": true,
|
|
35632
35631
|
"secret_scanning_enabled_for_new_repositories": true,
|
|
35633
35632
|
"secret_scanning_push_protection_enabled_for_new_repositories": true,
|
|
@@ -84650,7 +84649,7 @@
|
|
|
84650
84649
|
"/orgs/{org}/hooks": {
|
|
84651
84650
|
"get": {
|
|
84652
84651
|
"summary": "List organization webhooks",
|
|
84653
|
-
"description": "",
|
|
84652
|
+
"description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
84654
84653
|
"tags": [
|
|
84655
84654
|
"orgs"
|
|
84656
84655
|
],
|
|
@@ -84859,7 +84858,7 @@
|
|
|
84859
84858
|
},
|
|
84860
84859
|
"post": {
|
|
84861
84860
|
"summary": "Create an organization webhook",
|
|
84862
|
-
"description": "
|
|
84861
|
+
"description": "Create a hook that posts payloads in JSON format.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or \nedit webhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
84863
84862
|
"tags": [
|
|
84864
84863
|
"orgs"
|
|
84865
84864
|
],
|
|
@@ -85212,7 +85211,7 @@
|
|
|
85212
85211
|
"/orgs/{org}/hooks/{hook_id}": {
|
|
85213
85212
|
"get": {
|
|
85214
85213
|
"summary": "Get an organization webhook",
|
|
85215
|
-
"description": "Returns a webhook configured in an organization. To get only the webhook
|
|
85214
|
+
"description": "Returns a webhook configured in an organization. To get only the webhook\n`config` properties, see \"[Get a webhook configuration for an organization](/rest/orgs/webhooks#get-a-webhook-configuration-for-an-organization). \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
85216
85215
|
"tags": [
|
|
85217
85216
|
"orgs"
|
|
85218
85217
|
],
|
|
@@ -85399,7 +85398,7 @@
|
|
|
85399
85398
|
},
|
|
85400
85399
|
"patch": {
|
|
85401
85400
|
"summary": "Update an organization webhook",
|
|
85402
|
-
"description": "Updates a webhook configured in an organization. When you update a webhook
|
|
85401
|
+
"description": "Updates a webhook configured in an organization. When you update a webhook,\nthe `secret` will be overwritten. If you previously had a `secret` set, you must\nprovide the same `secret` or set a new `secret` or the secret will be removed. If\nyou are only updating individual webhook `config` properties, use \"[Update a webhook\nconfiguration for an organization](/rest/orgs/webhooks#update-a-webhook-configuration-for-an-organization)\". \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
85403
85402
|
"tags": [
|
|
85404
85403
|
"orgs"
|
|
85405
85404
|
],
|
|
@@ -85732,7 +85731,7 @@
|
|
|
85732
85731
|
},
|
|
85733
85732
|
"delete": {
|
|
85734
85733
|
"summary": "Delete an organization webhook",
|
|
85735
|
-
"description": "",
|
|
85734
|
+
"description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
85736
85735
|
"tags": [
|
|
85737
85736
|
"orgs"
|
|
85738
85737
|
],
|
|
@@ -85804,7 +85803,7 @@
|
|
|
85804
85803
|
"/orgs/{org}/hooks/{hook_id}/config": {
|
|
85805
85804
|
"get": {
|
|
85806
85805
|
"summary": "Get a webhook configuration for an organization",
|
|
85807
|
-
"description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need
|
|
85806
|
+
"description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
85808
85807
|
"tags": [
|
|
85809
85808
|
"orgs"
|
|
85810
85809
|
],
|
|
@@ -85897,7 +85896,7 @@
|
|
|
85897
85896
|
},
|
|
85898
85897
|
"patch": {
|
|
85899
85898
|
"summary": "Update a webhook configuration for an organization",
|
|
85900
|
-
"description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need
|
|
85899
|
+
"description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
85901
85900
|
"tags": [
|
|
85902
85901
|
"orgs"
|
|
85903
85902
|
],
|
|
@@ -86043,7 +86042,7 @@
|
|
|
86043
86042
|
"/orgs/{org}/hooks/{hook_id}/deliveries": {
|
|
86044
86043
|
"get": {
|
|
86045
86044
|
"summary": "List deliveries for an organization webhook",
|
|
86046
|
-
"description": "Returns a list of webhook deliveries for a webhook configured in an organization.",
|
|
86045
|
+
"description": "Returns a list of webhook deliveries for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
86047
86046
|
"tags": [
|
|
86048
86047
|
"orgs"
|
|
86049
86048
|
],
|
|
@@ -86362,7 +86361,7 @@
|
|
|
86362
86361
|
"/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}": {
|
|
86363
86362
|
"get": {
|
|
86364
86363
|
"summary": "Get a webhook delivery for an organization webhook",
|
|
86365
|
-
"description": "Returns a delivery for a webhook configured in an organization.",
|
|
86364
|
+
"description": "Returns a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
86366
86365
|
"tags": [
|
|
86367
86366
|
"orgs"
|
|
86368
86367
|
],
|
|
@@ -86724,7 +86723,7 @@
|
|
|
86724
86723
|
"/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}/attempts": {
|
|
86725
86724
|
"post": {
|
|
86726
86725
|
"summary": "Redeliver a delivery for an organization webhook",
|
|
86727
|
-
"description": "Redeliver a delivery for a webhook configured in an organization.",
|
|
86726
|
+
"description": "Redeliver a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
86728
86727
|
"tags": [
|
|
86729
86728
|
"orgs"
|
|
86730
86729
|
],
|
|
@@ -86919,7 +86918,7 @@
|
|
|
86919
86918
|
"/orgs/{org}/hooks/{hook_id}/pings": {
|
|
86920
86919
|
"post": {
|
|
86921
86920
|
"summary": "Ping an organization webhook",
|
|
86922
|
-
"description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.9/webhooks/#ping-event)
|
|
86921
|
+
"description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.9/webhooks/#ping-event)\nto be sent to the hook.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
86923
86922
|
"tags": [
|
|
86924
86923
|
"orgs"
|
|
86925
86924
|
],
|
|
@@ -139965,7 +139964,7 @@
|
|
|
139965
139964
|
"/repos/{owner}/{repo}/actions/runs": {
|
|
139966
139965
|
"get": {
|
|
139967
139966
|
"summary": "List workflow runs for a repository",
|
|
139968
|
-
"description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.9/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository
|
|
139967
|
+
"description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.9/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.\n\nThis API will return up to 1,000 results for each search when using the following parameters: `actor`, `branch`, `check_suite_id`, `created`, `event`, `head_sha`, `status`.",
|
|
139969
139968
|
"tags": [
|
|
139970
139969
|
"actions"
|
|
139971
139970
|
],
|
|
@@ -215130,6 +215129,32 @@
|
|
|
215130
215129
|
"204": {
|
|
215131
215130
|
"description": "Response"
|
|
215132
215131
|
},
|
|
215132
|
+
"404": {
|
|
215133
|
+
"description": "Resource not found",
|
|
215134
|
+
"content": {
|
|
215135
|
+
"application/json": {
|
|
215136
|
+
"schema": {
|
|
215137
|
+
"title": "Basic Error",
|
|
215138
|
+
"description": "Basic Error",
|
|
215139
|
+
"type": "object",
|
|
215140
|
+
"properties": {
|
|
215141
|
+
"message": {
|
|
215142
|
+
"type": "string"
|
|
215143
|
+
},
|
|
215144
|
+
"documentation_url": {
|
|
215145
|
+
"type": "string"
|
|
215146
|
+
},
|
|
215147
|
+
"url": {
|
|
215148
|
+
"type": "string"
|
|
215149
|
+
},
|
|
215150
|
+
"status": {
|
|
215151
|
+
"type": "string"
|
|
215152
|
+
}
|
|
215153
|
+
}
|
|
215154
|
+
}
|
|
215155
|
+
}
|
|
215156
|
+
}
|
|
215157
|
+
},
|
|
215133
215158
|
"422": {
|
|
215134
215159
|
"description": "Validation failed, or the endpoint has been spammed.",
|
|
215135
215160
|
"content": {
|
|
@@ -306207,6 +306232,32 @@
|
|
|
306207
306232
|
}
|
|
306208
306233
|
}
|
|
306209
306234
|
},
|
|
306235
|
+
"406": {
|
|
306236
|
+
"description": "Unacceptable",
|
|
306237
|
+
"content": {
|
|
306238
|
+
"application/json": {
|
|
306239
|
+
"schema": {
|
|
306240
|
+
"title": "Basic Error",
|
|
306241
|
+
"description": "Basic Error",
|
|
306242
|
+
"type": "object",
|
|
306243
|
+
"properties": {
|
|
306244
|
+
"message": {
|
|
306245
|
+
"type": "string"
|
|
306246
|
+
},
|
|
306247
|
+
"documentation_url": {
|
|
306248
|
+
"type": "string"
|
|
306249
|
+
},
|
|
306250
|
+
"url": {
|
|
306251
|
+
"type": "string"
|
|
306252
|
+
},
|
|
306253
|
+
"status": {
|
|
306254
|
+
"type": "string"
|
|
306255
|
+
}
|
|
306256
|
+
}
|
|
306257
|
+
}
|
|
306258
|
+
}
|
|
306259
|
+
}
|
|
306260
|
+
},
|
|
306210
306261
|
"500": {
|
|
306211
306262
|
"description": "Internal Error",
|
|
306212
306263
|
"content": {
|
|
@@ -334399,6 +334450,20 @@
|
|
|
334399
334450
|
"commit_url": "https://api.github.com/repos/octocat/hello-world/git/commits/f14d7debf9775f957cf4f1e8176da0786431f72b"
|
|
334400
334451
|
}
|
|
334401
334452
|
},
|
|
334453
|
+
{
|
|
334454
|
+
"type": "wiki_commit",
|
|
334455
|
+
"details": {
|
|
334456
|
+
"path": "/example/Home.md",
|
|
334457
|
+
"start_line": 1,
|
|
334458
|
+
"end_line": 1,
|
|
334459
|
+
"start_column": 1,
|
|
334460
|
+
"end_column": 64,
|
|
334461
|
+
"blob_sha": "af5626b4a114abcb82d63db7c8082c3c4756e51b",
|
|
334462
|
+
"page_url": "https://github.com/octocat/Hello-World/wiki/Home/302c0b7e200761c9dd9b57e57db540ee0b4293a5",
|
|
334463
|
+
"commit_sha": "302c0b7e200761c9dd9b57e57db540ee0b4293a5",
|
|
334464
|
+
"commit_url": "https://github.com/octocat/Hello-World/wiki/_compare/302c0b7e200761c9dd9b57e57db540ee0b4293a5"
|
|
334465
|
+
}
|
|
334466
|
+
},
|
|
334402
334467
|
{
|
|
334403
334468
|
"type": "issue_title",
|
|
334404
334469
|
"details": {
|
|
@@ -860487,8 +860552,7 @@
|
|
|
860487
860552
|
},
|
|
860488
860553
|
"repository-dispatch-sample.collected": {
|
|
860489
860554
|
"post": {
|
|
860490
|
-
"summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.9/rest/repos/repos#create-a-repository-dispatch-event).\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
|
|
860491
|
-
"description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.",
|
|
860555
|
+
"summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.9/rest/repos/repos#create-a-repository-dispatch-event). In the payload, the `action` will be the `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
|
|
860492
860556
|
"operationId": "repository-dispatch/sample.collected",
|
|
860493
860557
|
"externalDocs": {
|
|
860494
860558
|
"url": "https://docs.github.com/enterprise-server@3.9/webhooks/webhook-events-and-payloads#repository_dispatch"
|
|
@@ -860577,9 +860641,7 @@
|
|
|
860577
860641
|
"properties": {
|
|
860578
860642
|
"action": {
|
|
860579
860643
|
"type": "string",
|
|
860580
|
-
"
|
|
860581
|
-
"sample.collected"
|
|
860582
|
-
]
|
|
860644
|
+
"description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
|
|
860583
860645
|
},
|
|
860584
860646
|
"branch": {
|
|
860585
860647
|
"type": "string"
|
|
@@ -860587,7 +860649,8 @@
|
|
|
860587
860649
|
"client_payload": {
|
|
860588
860650
|
"type": "object",
|
|
860589
860651
|
"nullable": true,
|
|
860590
|
-
"additionalProperties": true
|
|
860652
|
+
"additionalProperties": true,
|
|
860653
|
+
"description": "The `client_payload` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
|
|
860591
860654
|
},
|
|
860592
860655
|
"enterprise": {
|
|
860593
860656
|
"title": "Enterprise",
|
package/generated/ghes-3.9.json
CHANGED
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
{
|
|
2
2
|
"openapi": "3.0.3",
|
|
3
3
|
"info": {
|
|
4
|
-
"version": "
|
|
4
|
+
"version": "15.0.0",
|
|
5
5
|
"title": "GitHub's official OpenAPI spec + Octokit extension",
|
|
6
6
|
"description": "OpenAPI specs from https://github.com/github/rest-api-description with the 'x-octokit' extension required by the Octokit SDKs",
|
|
7
7
|
"license": {
|
|
@@ -8002,7 +8002,6 @@
|
|
|
8002
8002
|
"default": {
|
|
8003
8003
|
"value": {
|
|
8004
8004
|
"advanced_security_enabled_for_new_repositories": true,
|
|
8005
|
-
"advanced_security_enabled_new_user_namespace_repos": true,
|
|
8006
8005
|
"dependabot_alerts_enabled_for_new_repositories": true,
|
|
8007
8006
|
"secret_scanning_enabled_for_new_repositories": true,
|
|
8008
8007
|
"secret_scanning_push_protection_enabled_for_new_repositories": true,
|
|
@@ -15989,7 +15988,7 @@
|
|
|
15989
15988
|
"/orgs/{org}/hooks": {
|
|
15990
15989
|
"get": {
|
|
15991
15990
|
"summary": "List organization webhooks",
|
|
15992
|
-
"description": "",
|
|
15991
|
+
"description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
15993
15992
|
"tags": [
|
|
15994
15993
|
"orgs"
|
|
15995
15994
|
],
|
|
@@ -16047,7 +16046,7 @@
|
|
|
16047
16046
|
},
|
|
16048
16047
|
"post": {
|
|
16049
16048
|
"summary": "Create an organization webhook",
|
|
16050
|
-
"description": "
|
|
16049
|
+
"description": "Create a hook that posts payloads in JSON format.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or \nedit webhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
16051
16050
|
"tags": [
|
|
16052
16051
|
"orgs"
|
|
16053
16052
|
],
|
|
@@ -16184,7 +16183,7 @@
|
|
|
16184
16183
|
"/orgs/{org}/hooks/{hook_id}": {
|
|
16185
16184
|
"get": {
|
|
16186
16185
|
"summary": "Get an organization webhook",
|
|
16187
|
-
"description": "Returns a webhook configured in an organization. To get only the webhook
|
|
16186
|
+
"description": "Returns a webhook configured in an organization. To get only the webhook\n`config` properties, see \"[Get a webhook configuration for an organization](/rest/orgs/webhooks#get-a-webhook-configuration-for-an-organization). \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
16188
16187
|
"tags": [
|
|
16189
16188
|
"orgs"
|
|
16190
16189
|
],
|
|
@@ -16231,7 +16230,7 @@
|
|
|
16231
16230
|
},
|
|
16232
16231
|
"patch": {
|
|
16233
16232
|
"summary": "Update an organization webhook",
|
|
16234
|
-
"description": "Updates a webhook configured in an organization. When you update a webhook
|
|
16233
|
+
"description": "Updates a webhook configured in an organization. When you update a webhook,\nthe `secret` will be overwritten. If you previously had a `secret` set, you must\nprovide the same `secret` or set a new `secret` or the secret will be removed. If\nyou are only updating individual webhook `config` properties, use \"[Update a webhook\nconfiguration for an organization](/rest/orgs/webhooks#update-a-webhook-configuration-for-an-organization)\". \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
16235
16234
|
"tags": [
|
|
16236
16235
|
"orgs"
|
|
16237
16236
|
],
|
|
@@ -16343,7 +16342,7 @@
|
|
|
16343
16342
|
},
|
|
16344
16343
|
"delete": {
|
|
16345
16344
|
"summary": "Delete an organization webhook",
|
|
16346
|
-
"description": "",
|
|
16345
|
+
"description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
16347
16346
|
"tags": [
|
|
16348
16347
|
"orgs"
|
|
16349
16348
|
],
|
|
@@ -16380,7 +16379,7 @@
|
|
|
16380
16379
|
"/orgs/{org}/hooks/{hook_id}/config": {
|
|
16381
16380
|
"get": {
|
|
16382
16381
|
"summary": "Get a webhook configuration for an organization",
|
|
16383
|
-
"description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need
|
|
16382
|
+
"description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
16384
16383
|
"tags": [
|
|
16385
16384
|
"orgs"
|
|
16386
16385
|
],
|
|
@@ -16424,7 +16423,7 @@
|
|
|
16424
16423
|
},
|
|
16425
16424
|
"patch": {
|
|
16426
16425
|
"summary": "Update a webhook configuration for an organization",
|
|
16427
|
-
"description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need
|
|
16426
|
+
"description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
16428
16427
|
"tags": [
|
|
16429
16428
|
"orgs"
|
|
16430
16429
|
],
|
|
@@ -16505,7 +16504,7 @@
|
|
|
16505
16504
|
"/orgs/{org}/hooks/{hook_id}/deliveries": {
|
|
16506
16505
|
"get": {
|
|
16507
16506
|
"summary": "List deliveries for an organization webhook",
|
|
16508
|
-
"description": "Returns a list of webhook deliveries for a webhook configured in an organization.",
|
|
16507
|
+
"description": "Returns a list of webhook deliveries for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
16509
16508
|
"tags": [
|
|
16510
16509
|
"orgs"
|
|
16511
16510
|
],
|
|
@@ -16574,7 +16573,7 @@
|
|
|
16574
16573
|
"/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}": {
|
|
16575
16574
|
"get": {
|
|
16576
16575
|
"summary": "Get a webhook delivery for an organization webhook",
|
|
16577
|
-
"description": "Returns a delivery for a webhook configured in an organization.",
|
|
16576
|
+
"description": "Returns a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
16578
16577
|
"tags": [
|
|
16579
16578
|
"orgs"
|
|
16580
16579
|
],
|
|
@@ -16629,7 +16628,7 @@
|
|
|
16629
16628
|
"/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}/attempts": {
|
|
16630
16629
|
"post": {
|
|
16631
16630
|
"summary": "Redeliver a delivery for an organization webhook",
|
|
16632
|
-
"description": "Redeliver a delivery for a webhook configured in an organization.",
|
|
16631
|
+
"description": "Redeliver a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
16633
16632
|
"tags": [
|
|
16634
16633
|
"orgs"
|
|
16635
16634
|
],
|
|
@@ -16672,7 +16671,7 @@
|
|
|
16672
16671
|
"/orgs/{org}/hooks/{hook_id}/pings": {
|
|
16673
16672
|
"post": {
|
|
16674
16673
|
"summary": "Ping an organization webhook",
|
|
16675
|
-
"description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.9/webhooks/#ping-event)
|
|
16674
|
+
"description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.9/webhooks/#ping-event)\nto be sent to the hook.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
16676
16675
|
"tags": [
|
|
16677
16676
|
"orgs"
|
|
16678
16677
|
],
|
|
@@ -25903,7 +25902,7 @@
|
|
|
25903
25902
|
"/repos/{owner}/{repo}/actions/runs": {
|
|
25904
25903
|
"get": {
|
|
25905
25904
|
"summary": "List workflow runs for a repository",
|
|
25906
|
-
"description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.9/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository
|
|
25905
|
+
"description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.9/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.\n\nThis API will return up to 1,000 results for each search when using the following parameters: `actor`, `branch`, `check_suite_id`, `created`, `event`, `head_sha`, `status`.",
|
|
25907
25906
|
"tags": [
|
|
25908
25907
|
"actions"
|
|
25909
25908
|
],
|
|
@@ -36747,6 +36746,9 @@
|
|
|
36747
36746
|
"204": {
|
|
36748
36747
|
"description": "Response"
|
|
36749
36748
|
},
|
|
36749
|
+
"404": {
|
|
36750
|
+
"$ref": "#/components/responses/not_found"
|
|
36751
|
+
},
|
|
36750
36752
|
"422": {
|
|
36751
36753
|
"$ref": "#/components/responses/validation_failed"
|
|
36752
36754
|
}
|
|
@@ -46110,6 +46112,9 @@
|
|
|
46110
46112
|
"404": {
|
|
46111
46113
|
"$ref": "#/components/responses/not_found"
|
|
46112
46114
|
},
|
|
46115
|
+
"406": {
|
|
46116
|
+
"$ref": "#/components/responses/unacceptable"
|
|
46117
|
+
},
|
|
46113
46118
|
"500": {
|
|
46114
46119
|
"$ref": "#/components/responses/internal_error"
|
|
46115
46120
|
},
|
|
@@ -81030,8 +81035,7 @@
|
|
|
81030
81035
|
},
|
|
81031
81036
|
"repository-dispatch-sample.collected": {
|
|
81032
81037
|
"post": {
|
|
81033
|
-
"summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.9/rest/repos/repos#create-a-repository-dispatch-event).\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
|
|
81034
|
-
"description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.",
|
|
81038
|
+
"summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.9/rest/repos/repos#create-a-repository-dispatch-event). In the payload, the `action` will be the `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
|
|
81035
81039
|
"operationId": "repository-dispatch/sample.collected",
|
|
81036
81040
|
"externalDocs": {
|
|
81037
81041
|
"url": "https://docs.github.com/enterprise-server@3.9/webhooks/webhook-events-and-payloads#repository_dispatch"
|
|
@@ -86093,7 +86097,8 @@
|
|
|
86093
86097
|
},
|
|
86094
86098
|
"hub_url": {
|
|
86095
86099
|
"type": "string",
|
|
86096
|
-
"format": "uri-template"
|
|
86100
|
+
"format": "uri-template",
|
|
86101
|
+
"deprecated": true
|
|
86097
86102
|
},
|
|
86098
86103
|
"issue_search_url": {
|
|
86099
86104
|
"type": "string",
|
|
@@ -86189,7 +86194,6 @@
|
|
|
86189
86194
|
"followers_url",
|
|
86190
86195
|
"following_url",
|
|
86191
86196
|
"gists_url",
|
|
86192
|
-
"hub_url",
|
|
86193
86197
|
"issue_search_url",
|
|
86194
86198
|
"issues_url",
|
|
86195
86199
|
"keys_url",
|
|
@@ -249362,9 +249366,7 @@
|
|
|
249362
249366
|
"properties": {
|
|
249363
249367
|
"action": {
|
|
249364
249368
|
"type": "string",
|
|
249365
|
-
"
|
|
249366
|
-
"sample.collected"
|
|
249367
|
-
]
|
|
249369
|
+
"description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
|
|
249368
249370
|
},
|
|
249369
249371
|
"branch": {
|
|
249370
249372
|
"type": "string"
|
|
@@ -249372,7 +249374,8 @@
|
|
|
249372
249374
|
"client_payload": {
|
|
249373
249375
|
"type": "object",
|
|
249374
249376
|
"nullable": true,
|
|
249375
|
-
"additionalProperties": true
|
|
249377
|
+
"additionalProperties": true,
|
|
249378
|
+
"description": "The `client_payload` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
|
|
249376
249379
|
},
|
|
249377
249380
|
"enterprise": {
|
|
249378
249381
|
"$ref": "#/components/schemas/enterprise-webhooks"
|
|
@@ -285819,6 +285822,20 @@
|
|
|
285819
285822
|
"commit_url": "https://api.github.com/repos/octocat/hello-world/git/commits/f14d7debf9775f957cf4f1e8176da0786431f72b"
|
|
285820
285823
|
}
|
|
285821
285824
|
},
|
|
285825
|
+
{
|
|
285826
|
+
"type": "wiki_commit",
|
|
285827
|
+
"details": {
|
|
285828
|
+
"path": "/example/Home.md",
|
|
285829
|
+
"start_line": 1,
|
|
285830
|
+
"end_line": 1,
|
|
285831
|
+
"start_column": 1,
|
|
285832
|
+
"end_column": 64,
|
|
285833
|
+
"blob_sha": "af5626b4a114abcb82d63db7c8082c3c4756e51b",
|
|
285834
|
+
"page_url": "https://github.com/octocat/Hello-World/wiki/Home/302c0b7e200761c9dd9b57e57db540ee0b4293a5",
|
|
285835
|
+
"commit_sha": "302c0b7e200761c9dd9b57e57db540ee0b4293a5",
|
|
285836
|
+
"commit_url": "https://github.com/octocat/Hello-World/wiki/_compare/302c0b7e200761c9dd9b57e57db540ee0b4293a5"
|
|
285837
|
+
}
|
|
285838
|
+
},
|
|
285822
285839
|
{
|
|
285823
285840
|
"type": "issue_title",
|
|
285824
285841
|
"details": {
|
|
@@ -293072,6 +293089,16 @@
|
|
|
293072
293089
|
}
|
|
293073
293090
|
}
|
|
293074
293091
|
},
|
|
293092
|
+
"unacceptable": {
|
|
293093
|
+
"description": "Unacceptable",
|
|
293094
|
+
"content": {
|
|
293095
|
+
"application/json": {
|
|
293096
|
+
"schema": {
|
|
293097
|
+
"$ref": "#/components/schemas/basic-error"
|
|
293098
|
+
}
|
|
293099
|
+
}
|
|
293100
|
+
}
|
|
293101
|
+
},
|
|
293075
293102
|
"no_content": {
|
|
293076
293103
|
"description": "A header with no content is returned."
|
|
293077
293104
|
},
|
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
{
|
|
2
2
|
"openapi": "3.0.3",
|
|
3
3
|
"info": {
|
|
4
|
-
"version": "
|
|
4
|
+
"version": "15.0.0",
|
|
5
5
|
"title": "GitHub's official OpenAPI spec + Octokit extension",
|
|
6
6
|
"description": "OpenAPI specs from https://github.com/github/rest-api-description with the 'x-octokit' extension required by the Octokit SDKs",
|
|
7
7
|
"license": {
|
package/generated/github.ae.json
CHANGED
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
{
|
|
2
2
|
"openapi": "3.0.3",
|
|
3
3
|
"info": {
|
|
4
|
-
"version": "
|
|
4
|
+
"version": "15.0.0",
|
|
5
5
|
"title": "GitHub's official OpenAPI spec + Octokit extension",
|
|
6
6
|
"description": "OpenAPI specs from https://github.com/github/rest-api-description with the 'x-octokit' extension required by the Octokit SDKs",
|
|
7
7
|
"license": {
|